'use strict';

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const path = require('path');
const fse = require('fs-extra');

const createIncludes = files => {
  const buildUrls = () => files.reduce((str, file) => {
    return str.concat(`urls['/${path.basename(file)}'] = require('raw-loader!${file}')\n`);
  }, '');
  return `const urls = {}
${buildUrls()}
module.exports = (url) => urls[url]
`;
};

const generateIncludes = (() => {
  var _ref = _asyncToGenerator(function* (dest, src) {
    const list = yield fse.readdir(src);
    const filtered = list.filter(function (file) {
      return ['.js', '.txt'].includes(path.extname(file));
    });
    const files = filtered.map(function (file) {
      return path.resolve(src, file);
    });
    const code = createIncludes(files);
    return fse.writeFile(dest, code);
  });

  return function generateIncludes(_x, _x2) {
    return _ref.apply(this, arguments);
  };
})();

module.exports = generateIncludes;
//# sourceMappingURL=generateIncludes.js.map