'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStatePromise = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _server = require('react-dom/server.browser');

var _server2 = _interopRequireDefault(_server);

var _reduxPromiseCounter = require('redux-promise-counter');

var _reduxPromiseCounter2 = _interopRequireDefault(_reduxPromiseCounter);

var _redux = require('redux');

var _reactRedux = require('react-redux');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const getStatePromiseFn = (req, config, route, routeComponent) => {
  return new Promise((() => {
    var _ref = _asyncToGenerator(function* (resolve, reject) {
      const eventcollector = req.eventcollector;
      const promiseCounter = (0, _reduxPromiseCounter2.default)(function (state, async) {
        return resolve(state);
      });

      try {
        const middleware = [promiseCounter].concat(config.redux.middleware);
        const enhancer = config.redux.enhancers ? (0, _redux.compose)((0, _redux.applyMiddleware)(...middleware), ...config.redux.enhancers) : (0, _redux.applyMiddleware)(...middleware);
        const initialState = config.redux.initialState || {};

        const store = (0, _redux.createStore)(config.redux.reducer, initialState, enhancer);
        const env = { req, store, config, history: req.history };
        if (config.init === 'function') {
          config.init(env);
        }

        _server2.default.renderToString(_react2.default.createElement(
          _reactRedux.Provider,
          { store: store },
          routeComponent
        ));
      } catch (e) {
        eventcollector.addError(e);
        return reject(e);
      }
    });

    return function (_x, _x2) {
      return _ref.apply(this, arguments);
    };
  })());
};

const getStatePromise = {
  fn: getStatePromiseFn
};

exports.getStatePromise = getStatePromise;
//# sourceMappingURL=config-redux.js.map