'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.webpackConfig = exports.initFragment = exports.clientImportFragment = undefined;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const clientImportFragment = `import Loadable from 'react-loadable'`;

const initFragment = () => `Loadable.preloadReady()`;

const webpackConfig = distDir => {
  return {
    server: {
      alias: {
        reactloadable: _path2.default.resolve(distDir, 'react-loadable.json')
      },
      babel: {
        plugins: ['react-loadable/babel']
      }
    },
    client: {
      babel: {
        plugins: ['react-loadable/babel']
      },
      plugins: [{
        import: 'react-loadable/webpack',
        exportName: 'ReactLoadablePlugin',
        options: {
          filename: _path2.default.resolve(distDir, 'react-loadable.json')
        }
      }]
    }
  };
};

exports.clientImportFragment = clientImportFragment;
exports.initFragment = initFragment;
exports.webpackConfig = webpackConfig;
//# sourceMappingURL=react-loadable.js.map