'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.afterRenders = exports.preRenders = exports.inits = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactLoadable = require('react-loadable');

var _reactLoadable2 = _interopRequireDefault(_reactLoadable);

var _reactloadable = require('reactloadable');

var _reactloadable2 = _interopRequireDefault(_reactloadable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getBundles(manifest, moduleIds) {
  return moduleIds.reduce((bundles, moduleId) => {
    return bundles.concat(manifest[moduleId]);
  }, []);
}

const initsFn = () => {
  console.log('PRELOAD');
  return _reactLoadable2.default.preloadAll();
};

const preRendersFn = (req, renderComponent, state) => {
  console.log('PRERENDER');
  req.linc = req.linc || {};
  req.linc.loaded_modules = [];
  return _react2.default.createElement(
    _reactLoadable2.default.Capture,
    {
      report: moduleName => req.linc.loaded_modules.push(moduleName) },
    renderComponent
  );
};

const afterRendersFn = (req, config, assets) => {
  console.log('AFTERRENDER');
  console.log('loaded_modules', req.linc.loaded_modules);
  const bundles = getBundles(_reactloadable2.default, req.linc.loaded_modules);
  console.log('bundles', bundles);
  const scriptList = bundles.filter(bundle => bundle.file.endsWith('.js'));
  const scripts = scriptList.map(script => {
    return { src: `/${script.file}` };
  });
  console.log('scripts', scripts);
  return { trailer: { scripts } };
};

const inits = {
  fn: initsFn
};

const preRenders = {
  fn: preRendersFn
};

const afterRenders = {
  fn: afterRendersFn
};

exports.inits = inits;
exports.preRenders = preRenders;
exports.afterRenders = afterRenders;
//# sourceMappingURL=react-loadable.js.map